uniform sampler2D Texture_Diffuse;

uniform lowp vec3 U_FogCol;

varying mediump vec2 PS_TexCoord;
varying lowp vec4 PS_DiffuseCol;

void main(void)
{
    lowp vec4 textureCol = texture2D(Texture_Diffuse, PS_TexCoord);
    gl_FragColor = PS_DiffuseCol*textureCol;
}
