uniform mat4 PTransform;
uniform mat4 MVTransform;

attribute vec4 Position;
attribute vec4 Colour;
attribute vec2 TexCoord;
 
varying vec4 ColourOut;
varying vec2 TexCoordOut;
 
void main(void)
{
    ColourOut = Colour;
    gl_Position = PTransform * MVTransform * Position;
    TexCoordOut = TexCoord*2.0;
}
