uniform mat4 PTransform;
uniform mat4 MVTransform;

attribute vec4 VS_Position;
attribute vec4 VS_Colour;
attribute vec2 VS_TexCoord0;
 
varying float PS_Intensity;
varying vec2 PS_TexCoord0;
 
void main(void)
{
    vec3 MVPosition = (MVTransform * VS_Position).xyz;
    float dist = length(MVPosition);
    gl_Position = PTransform * MVTransform * VS_Position;
    PS_TexCoord0 = VS_TexCoord0*2.0;
    PS_Intensity = VS_Colour.r*20.0;
}
