uniform mat4 PTransform; // camera->screen space
uniform mat4 MVTransform; // object->camera space

attribute vec4 VS_Position;
attribute vec2 VS_TexCoord0;

varying vec2 PS_TexCoord0;
 
void main(void)
{
    gl_Position = PTransform * MVTransform * VS_Position;
    PS_TexCoord0 = VS_TexCoord0*2.0;
}
